#!/usr/bin/env python
#-*- coding: UTF-8 -*-
# Filename: hasRelationDialog.py
# Author: Xu Jia (Sanfanling)   E-mail:xujia19@sohu.com
# Lisence: GPL-2.0

from qt import *
import sys

class hasRelationDialog(QDialog):
	
	def __init__(self,*args):
        	apply(QDialog.__init__,(self,) + args)
		self.setCaption(_(u'当前音轨歌词策略'))
		MainWindowLayout=QVBoxLayout(self,10,0)
		
		layout1=QHBoxLayout(None,12,16,"layout1")
		self.label1=QLabel(self)
		self.label1.setText(_(u'当前音轨：'))
		self.trackLabel=QLabel(self)   #need to setText
		layout1.addWidget(self.label1)
		layout1.addWidget(self.trackLabel)
		
		layout2=QHBoxLayout(None,12,16,"layout2")
		self.label2=QLabel(self)
		self.label2.setText(_(u'当前策略：'))
		self.relationLabel=QLabel(self)   #need to setText
		#self.relationLabel.setText(u'sdfsdfsdfsdfsdfsdfsdgsd')
		layout2.addWidget(self.label2)
		layout2.addWidget(self.relationLabel)
		
		layout3=QHBoxLayout(None,12,80,"layout3")
		self.checkBox=QCheckBox(self)
		self.checkBox.setText(_(u'取消当前音轨的策略设置'))
		layout3.addWidget(self.checkBox)
		
		layout4=QHBoxLayout(None,12,80,"layout4")
		self.okButton=QPushButton(self)
		self.okButton.setText(_(u'确定'))
		self.okButton.setEnabled(False)
		self.cancelButton=QPushButton(self)
		self.cancelButton.setText(_(u'取消'))
		layout4.addWidget(self.okButton)
		layout4.addWidget(self.cancelButton)
		
		MainWindowLayout.addLayout(layout1)
		MainWindowLayout.addLayout(layout2)
		MainWindowLayout.addLayout(layout3)
		MainWindowLayout.addLayout(layout4)
		
		self.connect(self.checkBox,SIGNAL("clicked()"),self.changeStatus)
		self.connect(self.okButton,SIGNAL("clicked()"),self,SLOT("accept()"))
		self.connect(self.cancelButton,SIGNAL("clicked()"),self,SLOT("reject()"))
	
	def changeStatus(self):
		if(self.checkBox.isChecked()):
			self.okButton.setEnabled(True)
		else:
			self.okButton.setEnabled(False)

def main(args):
	app=QApplication(args)
	win=hasRelationDialog()
	win.show()
	app.connect(app, SIGNAL("lastWindowClosed()"),app, SLOT("quit()"))
	app.exec_loop()

if(__name__=="__main__"):
	main(sys.argv)
		