#!/usr/bin/env python
#-*- coding: UTF-8 -*-
# Author: Xu Jia (Sanfanling)   E-mail:xujia19@sohu.com
# Lisence: GPL-2.0
 
from qt import *
import sys

class ttpChooseGui(QDialog):
	
	def __init__(self,*args):
        	apply(QDialog.__init__,(self,) + args)
		self.counter=16
		self.setCaption(_(u'请选择歌词，%s秒后将自动为您选择') %str(self.counter))
		MainWindowLayout=QVBoxLayout(self,10,0)
		layout1=QVBoxLayout(None,0,10)
		self.listBox=QListBox(self)
		self.listBox.setMinimumWidth(400)
		
		layout2=QHBoxLayout(None,6,100)
		self.okButton=QPushButton(self)
		self.okButton.setText(_(u'确定'))
		#self.okButton.setText(u'使用')
		self.okButton.setAutoDefault(False)
		self.cancelButton=QPushButton(self)
		self.cancelButton.setText(_(u'取消'))
		self.cancelButton.setAutoDefault(False)
		layout2.addWidget(self.okButton)
		layout2.addWidget(self.cancelButton)
		
		layout1.addWidget(self.listBox)
		layout1.addLayout(layout2)
		MainWindowLayout.addLayout(layout1)
		self.cancelButton.setAutoDefault(False)
		
		self.myTimer=QTimer()
		self.myTimer.start(1000,False)

		self.connect(self.okButton,SIGNAL("clicked()"),self,SLOT("accept()"))
		self.connect(self.cancelButton,SIGNAL("clicked()"),self,SLOT("reject()"))
		self.connect(self.myTimer,SIGNAL("timeout()"),self.autoCount)
	
	def autoCount(self):
		if(self.counter==0):
			self.accept()
		else:
			self.counter-=1
			self.setCaption(_(u'请选择歌词，%s秒后将自动为您选择') %str(self.counter))


def main(args):
	app=QApplication(args)
	win=chooseItem()
	win.show()
	app.connect(app, SIGNAL("lastWindowClosed()"),app, SLOT("quit()"))
	app.exec_loop()

if(__name__=="__main__"):
	main(sys.argv)